WhMic
WHMIC -  HELP FILE

INTRODUCTION

OBJECTIVES

REQUIRED

INSTALLATION

MINIMAL CONFIGURATION

USE CONDITIONS

FEATURES

LIMITS

HIGH SAMPLING RATES

GENERAL PRESENTATION

FUNCTIONING MODES

COMMAND_LINES

MAIN WINDOW

CHILD WINDOWS

SECONDARY WINDOWS

MENU

TOOLBARS

MOUSE

MENU DESCRIPTION

FILE

ACTION

OPTIONS

PARAMETERS

HELP

OPTIONS CONFIGURATION

OPTIONS

SETTINGS

SETTINGS AND DETECTION

EQUALIZATION

MIXER VOLUMES

3D PARAMETERS

WINDOWS

DISPLAYS

GENERATORS

FILES

PARAMETERS CONFIGURATION

DRIVERS PARAMETERS

TCP/IP PARAMETERS

WEB SERVER PARAMETERS

PROGRAM PARAMETERS

SECURITY PARAMETERS

LICENSE CONTRACT

PRODUCT LICENSE CONTRACT

ANNEXES

PRODUCT REGISTRATION

REGISTERED TRADEMARKS

Next


INTRODUCTION

Note:

The chapters and the paragraphs (in italic) relative to TCP/IP concern the versions of WHMIC including TCP/IP.

Next


OBJECTIVES

WHMIC is a multimedia program running on WINDOWS whose purposes are:

- The treatment of voice in order to enhance its quality and to facilitate its detection.

- The bi-directional communication and the diffusion of voice, music and messages using TCP/IP.

- The playing and the recording of voice and music.

- The generation of signals and noises in the audio domain.

Next


REQUIRED

The user must have a computer with a SOUND CARD and a SVGA (1024x768) screen.

The minimal required configuration is a Pentium II 200 MHz or equivalent.

The minimal recommended configuration is a Pentium III 500 MHz or equivalent.

The user must have a microphone (or a wireless microphone receiver) for the recordings. Input signal level must be sufficient (a preamplifier may be necessary).

The supported Windows versions are:

- Windows 95, 98 and ME.

- Windows NT 4.0.

- Windows 2000.

- Windows XP.

To use 3D positioning, the user must have a 3D sound card and use the DirectSound drivers.

It is mandatory to use a version of DirectX superior or equal to the version 8.0 for the DirectSound drivers.

Next


INSTALLATION

If WHMIC installation files are on a CD-ROM, the user must go to the installation files directory, run SETUP.EXE program and follow the instructions.

If WHMIC installation files are in a compressed form (.ZIP or .EXE), the user must decompress the installation files in a temporary directory, run SETUP.EXE and follow the instructions. After the installation, he can remove the temporary directory.

The user must provide for extra 100 Ko for the configuration files to create, in addition to size provided for by the installation program.

During the installation, the user must not modify the displayed serial number. This corresponds to an evaluation or definitive product key. Key files (WHMKEY.DAT and WHMKEY.TXT) are located in the directory <DIR>\KEY, where <DIR> represents the installation directory.

In the Start Programs menu, the installation program creates a "WhMic" folder and the following icons:

- "WhMic" for running the program in Normal Mode.

The associated configuration file is <DIR>\CFG\WHMIC.CFG, where <DIR> represents the installation directory.

To learn about program functioning modes, see Functioning Modes.

- "WhMic_3D" (if the user has chosen to install 3D configuration files) for running the program in Normal Mode with 3D options.

The associated configuration file is <DIR>\CFG\WHMIC_3D.CFG.

- "WhMic Communications" for running the program in Less Treatment Mode with the TCP/IP communications enabled.

The associated configuration file is <DIR>\CFG\WHMIC_TCPIP_LESSTRT.CFG.

- "WhMic Anonymous Player" for starting the program with the Anonymous Input TCP/IP type.

The associated configuration file is <DIR>\CFG\WHMIC_TCPIP_INANONYM.CFG.

- "WhMic Anonymous Diffuser" for starting the program with the Anonymous Output TCP/IP type.

The associated configuration file is <DIR>\CFG\WHMIC_TCPIP_OUTANONYM.CFG.

- "WhMic Other Caller" for starting the program with the Other Caller TCP/IP type (without the audio communications).

The associated configuration file is <DIR>\CFG\WHMIC_OTHER_CALLER.CFG.

- "WhMic Other Host" for starting the program with the Other Host TCP/IP type (without the audio communications).

The associated configuration file is <DIR>\CFG\WHMIC_OTHER_HOST.CFG.

- "WhMic_Diffuser Host" for running the program in Normal Mode with the TCP/IP diffusions enabled.

The associated configuration file is <DIR>\CFG\WHMIC_TCPIP_DIFFUSION.CFG.

- "WhMic_Receiver Caller" for running the program in Normal Mode with the TCP/IP receptions enabled.

The associated configuration file is <DIR>\CFG\WHMIC_TCPIP_RECEPTION.CFG.

 - "WhMic Less Treatment Mode" for running the program in Less Treatment Mode.

The associated configuration file is <DIR>\CFG\WHMIC_LESSTRT.CFG.

- "WhMic Configuration Mode" for running the program in Configuration Mode.

The user must choose a configuration file to modify or give the name of the configuration file to create.

- "Readme" for the Readme.

- "Help" for the online help.

- "Uninstall" for uninstalling the program.

The installation program creates one or two icons on the desktop if required.

Files with .WHM extension (default extension of files created by WHMIC) are associated with WHMIC application.

After the installation, it is recommended to read the Readme which contains important and complementary information. The Readme information have priority over the online help.

Next


MINIMAL CONFIGURATION

After the installation, WHMIC is operational with default values.

Default drivers are used, sampling rate is 22 kHz, samples are 16 bits and mono.

For changing the sound card drivers parameters, it is necessary to run the program in configuration mode (or to stop the program):

- In the Start menu, open WhMic sub-menu.

- Click on "WhMic Configuration Mode" icon.

- Choose the configuration file to modify (WHMIC.CFG).

- Open Parameters sub-menu, then Drivers Parameters.

- Choose a driver for the recording and a driver for the playing.

- Indicate if WHMIC must manage Windows Mixer volumes (recommended).

- If yes, choose mixer drivers.

- Choose a sampling rate compatible with the sound card.

- Choose a number of bits per sample compatible with the sound card.

- Choose a number of channel(s) compatible with the sound card.

Validate the changes and restart the program.

By default, the program sampling rate is 22 kHz. This value is sufficient for voice recording and playing.

With the minimal recommended configuration (Pentium III 500 MHz or equivalent), there is no problem. This value is the minimum recommended sampling rate if the mixing generator is used.

Next


USE CONDITIONS

WHMIC version 5.1 is a SHAREWARE program. After the evaluation period, it is necessary to buy the product in order to have a registered version.

Read carefully the product license contract. License Contract

Next


FEATURES

WHMIC version 5.1 has the following features:

- Support of classic wave drivers.

- Support of DirectSound drivers.

- Windows Mixer volumes settings.

- 3D sound positioning with Rolloff and Doppler factors.

- Sampling rates (kHz): 8, 11, 16, 22, 32, 44, 48 and 96.

- Number of bits per sample: 8, 16, 20, 24 and 32.

- Number of channel(s): 1 (mono) and 2 (stereo).

Selected drivers must exist.

Furthermore, the sound card must support the selected parameters.

 	- Amplification and reduction of input signal.

- Threshold, limitation and suppression of input signal.

- Compression and expansion of input signal.

- Frequencies filtration (high-pass, low-pass and band-pass filters).

- Graphical equalization (10 bands, 15 bands and 30 bands).

- Parametric equalization (up to 128 bands).

These treatments are done in the frequency domain after FFT (Fast Fourier Transform) transform.

These treatments allow the enhancement of voice and the detection of low level sounds.

- Support of TCP/IP via DirectPlay and Windows Media.

TCP/IP support allows data transfers through Internet or within an intranet network.

Many classical codecs, MPEG Layer-3 (MP3) codec  and Windows Media Audio (WMA) codec are available for the compression and the decompression.

Windows Media compatible files (MP3, WMA, WMV, ASF) and URLs are supported in simple reading, without the video streams.

Real media compatible files (RA, RM) and URLs are supported in simple reading, without the video streams.

- End to end secure control data and secure data for the communication codecs, using Microsoft base and enhanced cryptography providers.

- Sending and receiving secure messages between participants.

 	- Displays (input/output) in time domain.

- Displays (input/output) in frequency domain.

- Spectrogram (input/output).

- Vumeters (input/output).

Graphical displays are highly customizable (colors and windows sizes).

- Signal generator (sinusoid, triangle, square, impulse).

- Noise generator (white noise, gaussian white noise, pink noise).

These signals and noises can be mixed or not mixed with input signals.

Generated noises can be filtered (high-pass, low-pass and band-pass filters).

 	- Reading of .WAV files.

- Reading and Writing of .WHM files (default extensions of files created by WHMIC).

- Space reservation.

- Positioning into files.

- Management of re-entries in writing and reading.

- Silence suppression from files.

An other .WAV program reader can read .WHM files.

.WHM and .WAV files can be treated if they are in the treatments limits (see Limits).

- Saving of selected options and parameters.

Next


LIMITS

WHMIC version 5.1 has the following limits:

- Treatments are limited to one channel (mono).

The recordings with treatments are mono. If the input is stereo, only the left channel is taken into account. The output is dual mono.

- There is a slight shift between the input and the output. This can cause an echo problem during simultaneous recording and playing. This shift is minimized if there is no treatment and if the sampling rate is inferior or equal to 22 kHz.

- In normal mode, treatments are limited to sampling rates inferior or equal to 48 kHz.

96 kHz sampling rate can be used in indirect mode.

- Files are not compressed.

Next


HIGH SAMPLING RATES

Most treatments are done in the frequency domain after FFT (Fast Fourier Transform) transform.

On relatively slow or overloaded machines, high sampling rates (more particularly 48 and 96 kHz) can cause an overflow problem. The program stops with an error message.

In case of synchronization problem message or in case of the program frequent exits with the spectrogram, the user must increase the value of the "Spectrogram Reduction" parameter.

Next


 	GENERAL PRESENTATION

Main and child windows

Secondary windows

Options dialog box

Spectrograms (without text and with text)

Session Information

Big toolbar

Next


 FUNCTIONING MODES

The program functioning mode is fixed at starting and is indicated in the secondary windows "States and  Mode" if displayed.

In all modes, when no configuration file is specified, the default associated configuration file is:

<DIR>\CFG\WHMIC.CFG, where <DIR> represents the installation directory.

Four functioning modes are possible:

- Normal Mode: all actions and options are authorized.

This is the default functioning mode.

- Indirect Mode: no direct treatment, no display or no mixing is possible.

The user can control Windows Mixer volumes and 3D positioning.

The user can also:

- Read a file without treatment.

- Write a file without treatment.

- Read, Treat and Write a file indirectly (not in real time). This action is generally very fast.

- Less Treatment Mode: same as Indirect Mode but the user can’t read, treat and write a file indirectly.

With WHMIC version 5.1, this mode is automatically set for program instances superior to two. These instances have titles in the form : WhMic (2), WhMic (3), ...

The title of the first instance is WhMic and the title of the second is WhMic [1] (English language).

If for any reason, an instance doesn’t exit properly, the instances superior to two are forced to less treatment mode. The user must terminate the instance properly with the Windows task manager or must reboot the machine.

- Configuration Mode: this mode is useful only for creating or modifying configuration files.

No action is performed.

Drivers parameters can be modified in this mode and when the program is stopped.

Program parameters can be modified only in this mode.

Program options can be modified in all modes.

In configuration mode, the positions and sizes of the child windows cannot be fixed with the mouse. The user must use the dialog boxes or run the program in normal or indirect mode (when the program is stopped or not).

Next


 COMMAND LINES

The program running syntax is:

<DIR>\WHMIC [Option1][Option2]...[OptionN]

Where <DIR> represents the installation directory.

There is no distinction between upper case and lower case letters.

The following options are available:

 	- /indirect

To start the program in Indirect Mode.

 	- /lesstrt

To start the program in Less Treatment Mode.

 	- /config

To start the program in Configuration Mode.

 	- /default

To start the program with default values and without configuration files.

The user can modify the program options and configurations (in Configuration Mode) but he can only save a default configuration file, after the choice of its name.

 	- /choice

To choose a configuration file at the program start.

 	- /cfgfile:file_name or /cfgfile=file_name

To give the configuration file name at the program start.

 	- /key:key_value or /key=key_value

To give the product key at the program start.

If the file <DIR>\KEY\WHMKEY.TXT doesn’t exist, the user must use this option.

This option has priority over the WHMKEY.TXT file.

 	- /3d:value or /3d=value

To enable DirectSound and 3D positioning (value=yes) or to disable 3D positioning (value=no).

 	- /rdfile:file_name or /rdfile=file_name

To run the program and read the specified file.

In normal mode, the reading is with treatment. In indirect or less treatment mode, the reading is without treatment.

 	- /wrfile:file_name or /wrfile=file_name

To run the program and write the specified file.

In normal mode, the writing is before treatment. In indirect or less treatment mode, there is no treatment before or after the writing.

 	- /language:language or /language=language

To select the program running language.

The default language is the installation language.

WHMIC version 5.1 supports English (/language:english) and French (/language:french) in the multilingual package.

If a language is not installed, the program exits with error.

- /tcpip:value or /tcpip=value

To enable TCP/IP and DirectPlay (value=yes) or to disable TCP/IP and DirectPlay (value=no).

- /hostname=host_name

To give the distant station TCP/IP name or address at the program start.

- /stopped

To run the program and stop it automatically.

- /password:password or /password=password

To give the password at the program start.

- /inurl:url_name

To give the name of the anonymous file or URL and to set the TCP/IP option to "Anonymous Input".

The user can use url_name="#" to keep the old name.

- /outport:port_number

To give the number of the anonymous output port and to set the TCP/IP option to "Anonymous Output".

The user can use port_number="#" to keep the old number.

- /shortcut:internet_shortcut

To give the name of the anonymous URL via an internet shortcut and to set the TCP/IP option to "Anonymous Input".

- /other:value

To force the TCP/IP type to "Other Host" or "Other Caller" (value=yes) or to "Audio Host" or "Audio Caller" (value=no).

To force the TCP/IP type to "Other Host" (value=host) or "Other Caller" (value=caller).

- /mode:value

To force the TCP/IP option to "Output Only" (value=diffusion) or "Input Only" (value=reception).

Next


MAIN WINDOW

The main window contains the child windows. It can contain 2 child windows, one for the input and the other for the output.

Next


CHILD WINDOWS

The child windows are optional. They allow, in input as in output, the following graphical displays:

- Displays in Time Domain (levels function of time).

- Displays in Frequency Domain (levels function of frequency).

- Displays of Spectrogram (voiceprint).

Displays are done in normal mode, fixed mode or detailed mode.

In normal mode, the display frequency depends on the refresh counter. The total number of points to take into account depends on the display size (see Displays). One point on N is taken to have a full width display.

In fixed mode, there is no refresh.

In detailed mode, there is no refresh. Furthermore, all points are taken into account. The user can do horizontal scrolls to see all points.

A distinctive color can be chosen for all displays modes (see Displays).

With this version of WHMIC, there is no graphical display for sampling rates above 48 kHz.

Next


 SECONDARY WINDOWS

There are four optional secondary windows:

- States and Mode:

To indicate the program states (started or stopped, generator on or off, reading and/or writing or not) and the program functioning mode.

- Vumeters:

To give an indication in dB of input and output levels (frequency domain).

The vumeters are updated between 6 and 12 times per second (half of internal functioning frequency value) with the signal maximum values whereas the indicated values are updated between 0.5 and 2 times per second (external functioning frequency value).

- Indicators (Files):

To give an indication of reading and writing positions.

To allow also displacements in files.

In reading, the displacements are possible in the entire file.

In writing, the displacements are possible beyond the written zone, but not beyond the actual size (reservation and preparation of the initial size of writing files are possible, see Files).

The positioning scale allows refining the displacements in files.

- Messages:

To send messages to the DirectPlay session participants and to display the received messages. The size of this window can be modified by the mouse. The colors can be modified with the "Windows"  dialog box.

Next


 MENU

The menu is composed of the following sub-menus:

- File.

To save the configuration and quit the program.

- Action.

For the program Stop/Start/Pause.

- Options.

 To set the program options.

- Parameters.

To set the program parameters.

- Help.

For the online help.

The program Options and Parameters are saved in the configuration file.

The Options can be modified in all modes.

The Parameters can be modified only in the Configuration Mode.

Next


 TOOLBARS

The toolbar is optional. It allows executing a number of actions quickly, if it is displayed.

Next


MOUSE

A click with the mouse right button in the client area of the main window allows having Options dialog box.

A click with the mouse left button in the client area of the main window allows changing the display mode (fixed, then detailed, then normal, ...) for the child windows.

A double click with the mouse left button allows choosing the normal mode.

If the clicks are done in the client area of a child window, only this child window is affected.

Next


MENU DESCRIPTION

Next


FILE

The File sub-menu includes the following elements:

- Display Configuration File Name.

To display the current configuration file name.

- Get Reading File Name.

To get the reading file name.

If the reading option is active, the program starts or restarts the reading.

- Get Writing File Name.

To get the writing file name.

If the writing option is active, the program starts or restarts the writing.

- Display Session Information.

To display the session state and the participants number and names if TCP/IP is enabled.

- Get Distant Address.

To get the address of the correspondent for the TCP/IP communications.

If a communication option under TCP/IP is active, the program starts or restarts the communications.

- Get Anonymous Input File Name.

To get the anonymous input file name.

If the anonymous reading option is active, the program starts or restarts the reading.

- Get Anonymous Input URL Name.

To get the anonymous input URL name.

If the anonymous reading option is active, the program starts or restarts the reading.

- Get Anonymous Output Port.

To get the anonymous output port.

If the anonymous writing option is active, the program starts or restarts the writing.

- Save Configuration.

To save the current configuration.

- Save Configuration Under.

To save the current configuration with a selected or given name.

- Reinitialize a Configuration File.

To reinitialize a configuration file with the default values.

- Delete a Configuration File.

To delete a configuration file.

- Quit.

To quit the program.

The current configuration is automatically saved at the program exit unless this option is disabled (see Program Parameters).

- Quit without Save Configuration.

To quit the program without saving the configuration.

Next


 ACTION

The Action sub-menu includes the following elements:

- Start.

To start the program (stopped).

- Start Assistant.

To start the assistant.

The configuration file is modified in case of saving.

- Pause or Continue.

To pause or continue the program.

When the program is paused, the sound card drivers are not freed.

- Stop.

To stop the program.

The sound card drivers are freed.

- Start Dynamic File List.

To start a list of files to play in anonymous input at the program start.

- Choose a participant.

To choose a DirectPlay session participant.

- Send a Message.

To send a message to a chosen participant.

- Send a Message to All.

To send a message to all participants.

- Remove a Participant.

To remove a chosen participant from the session (host only).

- Remove All Participants.

To remove all participants from the session (host only).

Next


 OPTIONS

The Options sub-menu includes the following elements:

- Options.

To display the Options dialog box.

The Options dialog box allows setting quickly the program main options. From this dialog box, the user can access to Settings, Windows, Displays and Generators dialog boxes for more detailed modifications.

- Settings.

To display the Settings dialog box.

The Settings dialog box allows setting the cutoff frequencies, the amplification and the magnitudes values. It also allows setting the volumes of the Windows Mixer elements, the 3D parameters values and the equalization parameters values.

- Windows.

To display the Windows dialog box.

The Windows dialog box allows setting the sizes and the background colors of the main window and the toolbar. It also allows setting the colors of the secondary windows elements.

- Displays.

To display the Displays dialog box.

The Displays dialog box allows setting the sizes and the colors of the child window elements. It also allows setting the magnitude scale (for the frequency-domain displays), the refresh counter and the display size.

- Generators.

To display the Generators dialog box.

The Generator dialog box allows setting the frequencies and the amplitudes of the generated noises and signals. It also allows cancelling the input signal to have the generator noises and signals only in output.

- Files.

To display the Files dialog box.

The Files dialog box allows setting the names and the characteristics of the read/write files.

Next


 PARAMETERS

The Parameters sub-menu includes the following elements:

- Drivers Parameters.

To display the "Drivers Parameters" dialog box.

The "Drivers Parameters" dialog box allows setting the drivers parameters that can be modified in Configuration Mode and when the program is stopped.

In case of file access (reading, reading and writing, writing in append mode), the file drivers parameters replace the program drivers parameters.

- Program Parameters.

To display the "Program Parameters" dialog box.

The "Program Parameters" dialog box allows setting the program parameters that can be modified only in Configuration Mode.

The default values are suitable in most cases. Some modifications can have important direct effects on the memory consumption and the global performance of the program.

- Security Parameters.

To display the "Security Parameters" dialog box.

The "Security Parameters" dialog box allows giving, in Configuration Mode,  the parameters for the secure objects (configuration files with WHMIC 5.1).

- TCP/IP - DirectPlay Parameters.

To have directly the "TCP/IP - DirectPlay" dialog box.

Next


HELP

The Help sub-menu includes the following elements:

- Help.

To display the online help.

- About.

To display the version and the copyright information.

- Web Site.

To be connected with the product web site for corrections, enhancements and registration information.

- About WhStream.

To display the WhStream additional features.

- WhStream Web Site.

To be connected with the WhStream product web site.

- Radio Stations.

To find radio stations URLs to open with Internet Explorer or to play with the program.

Next


OPTIONS CONFIGURATION

This chapter describes in detail the dialog boxes elements for Options configuration.

The validation button is used to validate the changes and the cancel button is used to cancel them.

Next


OPTIONS

- Settings group:

- Frequencies:

To activate the frequencies filtering.

- Gain:

To activate the gain changes.

- Magnitudes:

To activate the magnitudes treatments.

- Equalization:

To activate the equalizations.

- Mixer Volumes:

To activate the Windows Mixer volumes controls.

It is recommended to disable this option if the sound card drivers don’t use the Windows Mixer.

- 3D Parameters:

To activate the 3D parameters changes.

If the sound card is not a 3D sound card or if the correct DirectSound version is not installed, this option is disabled.

- Windows group:

- Main:

To display the main window.

This option is always enabled.

- Toolbar:

To display the toolbar.

This option is enabled by default.

- Messages:

To display the secondary window "Messages".

By default, this option is enabled only if TCP/IP is enabled.

- States:

To display the secondary window "States and Mode".

This option is enabled by default.

- Vumeters:

To display the secondary window Vumeters.

This option is enabled by default.

- Indicators:

To display the secondary window Indicators (Files).

This option is enabled by default.

- Graphical Displays group:

- Input No Display:

To have no display in input.

- Input Time Domain:

To have a time domain graphical display.

This option is enabled by default.

- Input Frequency Domain:

To have a frequency domain graphical display.

- Input Spectrogram:

To have a spectrogram graphical display.

- Output No Display:

To have no display in output.

- Output Time Domain:

To have a time domain graphical display.

This option is enabled by default.

- Output Frequency Domain:

To have a frequency domain graphical display.

- Output Spectrogram:

To have a spectrogram graphical display.

- Mixing Generators group:

- No Mixing:

To disable mixing generators.

This option is enabled by default.

- White Noise:

To generate a white noise.

- Pink Noise:

To generate a pink noise.

- Sinusoid:

To generate a sinusoid signal.

- Triangle:

To generate a triangle signal.

- Square:

To generate a square signal.

- Impulse:

To generate an impulse signal.

- Files group:

- Without File:

To have no file access.

This option is enabled by default.

- Writing Less Treatment:

To write a file and to do no treatment and no display.

There is a playing of the non treated input signal.

- Reading Less Treatment:

To read a file and to do no treatment and no display.

There is a playing of the non treated input signal.

- Reading/Treatment/Writing Indirect:

To read a file, do treatments and write a file in indirect mode (not in real time) and with no playback.

This action, generally very quick, can be also used to treat a file for an ulterior playing, if a direct option is not possible (too important flow for the machine).

The spectrogram significantly slows down this action. To go faster, the user can disable this display or increase the value of the reduction.

- Writing Before Treatment:

To write a file before treatment and playing. The written signal is the non modified input signal but the played signal is the treated signal.

- Writing After Treatment:

To write a file after Treatment. The written signal is the modified input signal.

There is a playing of the treated signal.

- Reading and Treatment:

To read a file and treat the signal before it's playing.

- Reading and Writing After Treatment:

To read a file, treat the signal and write the treated signal.

There is a playing of the treated signal.

- Settings button:

To display the Settings dialog box.

- Windows button:

To display the Windows dialog box.

- Displays button

To display the Displays dialog box.

- Generators button:

To display the Generators dialog box.

- Files button:

To display the Files dialog box.

Next


SETTINGS

- Frequencies group:

- Minimum:

To set the minimum frequency between 20 Hz and the half of the sampling rate.

Default value = 20 Hz.

The minimum frequency can’t be above the maximum frequency.

All frequencies below the minimum frequency are removed.

- Maximum:

To set the maximum frequency between 20 Hz and the half of the sampling rate.

Default value = 11025 Hz.

All frequencies above the maximum frequency are removed.

- Gain group:

To set the amplification or the reduction value.

By default, the type of gain is increase and the gain is equal to 4 dB.

- Reduction:

This type of gain allows reducing the input signal between -80 dB and 0 dB.

- Increase:

This type of gain allows amplifying the input signal between 0 dB and 80 dB.

- Magnitudes Scale group:

To give a scale for setting the magnitudes values.

Because magnitude values could be very large, the scale lets to have very precise values (up to unity precision).

Default value = 10.

- Noise Value group:

To set a magnitude value for a noise reduction.

A simple noise reduction algorithm is applied:

- M2 = 0 	if M1 <= N

- M2 = M1 - N 	if M1 > N

where:

M1 = the magnitude of a point before treatment

M2 = the magnitude of the point after treatment

N   =  the magnitude of the noise.

Note that the equalization can be done before this treatment.

- Magnitudes group:

- Minimum:

To set the magnitude minimum value for the associated treatments.

Default value = 0.

- Maximum:

To set the magnitude maximum value for the associated treatments.

Default value = maximum of magnitude possible values.

Internally, the program works in double precision and 16 bits per sample, so this value depend only on the number of points per FFT (Fast Fourier Transform).

- Compression group:

To set the ratio (between 1 and 2) and the threshold (between 0 and the maximum of magnitude values) for the compression.

Default values = 1 (no compression) and 0.

- Expansion group:

To set the ratio (between 1 and 2) and the threshold (between 0 and the maximum of magnitude values) for the expansion.

Default values = 1 (no expansion) and maximum of magnitude values.

- Associated Treatments (Minimum Magnitude) group:

- Nothing:

 The program doesn’t perform any associated treatment.

- Point by Point:

The program cancels all magnitude values above the indicated value.

Default option.

- Linear Mean:

The program cancels all magnitude values in a FFT buffer whose linear mean is above the indicated value.

- Quadratic mean:

The program cancels all magnitude values in a FFT buffer whose quadratic mean is above the indicated value.

- Associated Treatments (Maximum Magnitude) group:

- Nothing:

The program doesn’t perform any associated treatment.

- Limitation:

The program limits all magnitude values to the indicated value.

- Suppression:

The program cancels all magnitude values above the indicated value.

- Magnitudes Thresholds group:

To enable or disable the compression and the expansion.

Compression and expansion are active by default.

- Equalizer Type group:

- 10 bands:

To choose a 10 bands graphic equalizer.

Default choice.

- 15 bands:

To choose a 15 bands graphic equalizer.

- 30 bands:

To choose a 30 bands graphic equalizer.

- Parametric:

To choose a parametric equalizer.

- Magnitudes Statistics group:

Displays the statistics on the magnitudes, to simplify the magnitudes values settings.

Displayed values (magnitudes, linear mean and quadratic mean,  minimum and maximum values) are values before any treatment except for the frequency filtering and the equalization.

- Reset Statistics button:

To reset the statistics on the magnitudes.

- Refresh Statistics button:

To refresh the statistics on the magnitudes.

- Detector group:

- Minimum Time:

To set a minimum normal running time after a detection (linear or quadratic detector), between 0 and 3600 second.

Default value = 10 seconds.

- Normal Time:

Displays the total normal running time since the last statistics reset.

- Zero Time:

Displays the total running time without detection since the last statistics reset.

- Tests button:

To test the settings.

The dialog box can be minimized to see better the displays during tests.

The program remains in tests until the user pushes again this button (become "Stop Tests").

- Equalization:

To display the equalization dialog box.

- Mixer Volumes:

To display the "Mixer Volumes" dialog box.

- 3D Parameters button:

To display the "3D Parameters" dialog box.

- Advanced 3D Parameters button:

To display the "Advanced 3D Parameters" dialog box.

Next


SETTINGS AND DETECTION

WhMic version 5.1 includes a linear detector and a quadratic detector.

This paragraph shows a possible use of the settings for the detection, if the user wants to use the program for this purpose.

- Bring the ambient noise around the microphone to a desirable level.

- Push the "Reset Statistics" button.

- Wait few seconds.

- Push the "Refresh Statistics" button.

For Linear detection:

- Read the maximum linear mean value.

- Set the minimum magnitude value to the read value.

- Set the associated treatment to Linear Mean option.

The program lets intact all FFT (Fast Fourier Transform) buffers whose linear mean is above the fixed value and puts silence in the others.

For quadratic detection:

- Read the maximum quadratic mean value.

- Set the minimum magnitude value to the read value.

- Set the associated treatment to Quadratic Mean option.

The program lets intact all FFT (Fast Fourier Transform) buffers whose quadratic mean is above the fixed value and puts silence in the others.

With a relatively high quality microphone and a small surrounding noise, the program can detect very low levels voices and sounds. This program is a high performance detector, but the detected voices and sounds can be incomprehensible because there are no additional treatments.

The user can set the default normal running "Minimun Time" between 0 and 3600 seconds.

The graphical detection of a very low level sound.

Next


EQUALIZATION

This dialog box is accessible from the Settings dialog box, Equalization button.

It allows setting the equalization parameters values.

WHMIC version 5.1 includes the following graphic equalizer:

- 10 Bands.

Correction ranges: from -80 dB to +80 dB.

Central frequencies: IS0, 3/3 octave.

- 15 Bands.

Correction ranges: from -80 dB to +80 dB.

Central frequencies: IS0, 2/3 octave.

- 30 Bands.

Correction ranges: from -80 dB to +80 dB.

Central frequencies: IS0, 1/3 octave.

For the parametric equalizer, the user can set the values of the center, the bandwidth and the gain.

Only the frequencies defined in the bands are taken into account.

Band number is between 1 and 128.

By default:

Band number = 2

Band 1: 	center = 100 Hz 	Bandwidth = 200 Hz	gain = 0 dB

Band 2:	center = 8500 Hz	Bandwidth = 6000 Hz	gain = 0 dB.

Next


MIXER VOLUMES

To enable or disable and to control the volumes of all the Windows Mixer elements, in recording and playing.

By default, all volumes are set to zero except for:

- The microphone volume in recording.

This volume is set to a low level to minimize the background noises.

- The microphone volume in playing.

This volume is set to a low level but is not enabled.

- The main output volume in playing.

This volume is set to a very high level to have the best possible playing.

- The "Wave" component volume in playing.

This volume is set to a very high level to have the best possible playing.

In Configuration Mode, there is no access to a mixer driver. Only, a theoretical model is proposed. This model should take into account almost all the Windows Mixers.

The mixer configuration is saved in the configuration file.

At the program start, the mixer is updated with the saved values if the Windows Mixer volume control is enabled. At the program end, the mixer is updated with the values it had before the program start.

The direct changes (changes without the program) are also taken into account.

If some Windows Mixer elements are bound (for example the microphone in recording and playing), the user must know that the program updates the recording elements first, and then the playing elements).

Next


3D PARAMETERS

This dialog box is accessible from the Settings dialog box, "3D Parameters" button.

It allows setting 3D parameters values.

The user must have a 3D sound card and must use the DirectSound drivers.

It is recommended to have enough memory and to authorize the Windows virtual memory.

In case of problem with a sound card, the user must first try more recent drivers.

The user should have good notions in 3D before modifying these parameters.

The Sound Blaster Live! 1024 card is an example of a 3D sound card.

The Rolloff factor set the attenuation between the minimum distance and the maximum distance.

The Velocity is used only for the Doppler effect.

To have 3D effects, the user must set a buffer position different from the origin.

3D coordinates.

 	- Position X:

 	- Position Y:

 	- Position Z:

To set the 3D buffer positions in X, Y and Z between -1500 feet (-500 meters) and + 1500 feet (+500 meters).

Default values = (0, 0, 0).

 	- Velocity X:

 	- Velocity Y:

 	- Velocity Z:

To set the 3D buffer velocities in X, Y and Z between -30 feet (-10 meters) and +30 feet (+10 meters).

Default values = (0, 0, 0).

 	- Minimum Distance:

To set the minimum distance between 0.3 feet (0.1 meter) and 3000 feet (1000 meters).

Default value = 0.3 feet (0.1 meter).

 	- Maximum Distance:

To set the maximum distance between 0.3 feet (0.1 meter) and 3000 feet (1000 meters).

Default value = 3000 feet (1000 meters).

- Rolloff Factor:

To set the Rolloff factor between 0 and 10.

Default value = 1.

- Doppler Factor:

To set the Doppler factor between 0 and 10.

Default value = 1.

ADVANCED 3D PARAMETERS

This dialog box is accessible from the Settings dialog box, "Advanced 3D Parameters" button.

It allows setting advanced 3D parameters values (listener and diffusion cone).

- Position X:

- Position Y:

- Position Z:

To set the listener positions in X, Y and Z between -1500 feet (-500 meters) and + 1500 feet (+500 meters).

Default values = (0, 0, 0).

- Velocity X:

- Velocity Y:

- Velocity Z:

To set the listener velocities in X, Y and Z between -30 feet (-10 meters) and +30 feet (+10 meters).

Default values = (0, 0, 0).

- Front Vector X:

- Front Vector Y:

- Front Vector Z:

To set the listener front vector.

Default values = (0, 0, 1 meter or 3 feet).

- Top Vector X:

- Top Vector Y:

- Top Vector Z:

To set the listener top vector.

Default values = (0, 1 meter or 3 feet, 0).

For the listener orientation, the front vector must be perpendicular to the top vector.

DirectSound makes the necessary adjustments. An error occurs if these two vectors are parallel.

- Orientation X:

- Orientation Y:

- Orientation Z:

To set the diffusion cone orientation.

Default values = (1 meter or 3 feet, 0, 0).

- Inside Cone Angle:

- Outside Cone Angle:

To set the diffusion cone inside and outside angles between 0 and 360 degrees.

Default value = 360 degrees.

- Outside Volume:

To set the diffusion cone outside volume attenuation between 0 dB and -100 dB.

Default value = 0 dB.

Next


WINDOWS

The Windows dialog box allows setting the sizes and the colors of the main window and the secondary windows.

It is highly recommended to have a SVGA screen (1024x768). The program runs with a lower resolution, but the use of dialog boxes is not easy.

Re-sizing with the mouse are taken into account.

The chosen sizes and colors values are saved in the configuration file.

- Main Window group:

To choose between Normal, Minimized and Maximized sizes for the main window.

By default the main window has a normal size with:

X and Y positions = 8 and 8.

X and Y sizes = 632 and 466.

- Normal Size group:

To set the positions and sizes of the main window if it is neither minimized nor maximized.

- Elements group:

To choose a color for the following elements:

- Background:

Main window background (Gray by default).

- Toolbars:

Toolbars background (Gray by default).

- States:

"States and Mode" secondary windows background (gray by default).

- Vumeters:

Vumeters secondary windows background (gray by default).

 	- Input Vumeter:

Record vumeter background (green by default).

- Output Vumeter:

Read vumeter background (green by default).

 	- Indicators:

Indicators secondary windows background (gray by default).

- Writing Indicators:

Writing Indicators background (light blue by default).

- Reading Indicators:

Reading Indicators background (light blue by default).

-  Messages group (1):

To choose a color for the messages window elements:

- Text Zone:

Text zone background (Black by default).

- Text Background:

Characters background (Black by default).

- Text:

Characters (white by default).

- Color group:

To set the color of the selected element in the Element and Messages Groups.

- Toolbar group:

To choose a small or a big size for the toolbar.

By default a small size is chosen.

- Indicators group:

To indicate if the secondary window "Indicators (Files)" is automatic (displayed only if file access) or not, if this window is authorized.

By default, it is not automatic.

- Messages group (2):

To set the number of messages to keep in the list box between 10 and 16000 (500 by default).

Next


DISPLAYS

The Displays dialog box allows setting the sizes and the colors of the child windows.

Re-sizing with the mouse are taken into account.

The chosen sizes and colors values are saved in the configuration file.

By default, the sizes and positions of the child windows are computed to fill the main window on the best.

- Window group:

To choose the child window to configure (input or output).

 	- Display Scale scroll bar:

  To set the scale for the displays in time domain and frequency domain.

   	Minimum value = 1.

Maximum value = 100.

Default value = 1.

- Display Capacity scroll bar:

  To set the maximum number of points to take into account for the display (in seconds).

For the default functioning frequency:

Minimum value = 1.

Maximum value = 120.

Default value = 1.

This doesn’t concern the spectrogram display.

- Refreshment Interval scroll bar:

To set the display refreshment interval (in seconds).

For the default functioning frequency:

Minimum value = 1.

Maximum value = 120.

Default value = 1.

This doesn’t concern the spectrogram display.

- Spectrogram Fineness scroll bar:

To set the thickness of the spectrogram lines between 1 and 8 pixels.

Default value = 2.

- Spectrogram Reduction scroll bar:

To display efficiently small FFT buffers (128 and 256) or to increase the display capacity, the user can mix successive buffers before the display. For a N reduction value, the buffer at the i position gives the points situated in i, N+i, 2N+i, 3N+i, ..., i varying from 0 to N-1.

In case of synchronization problem message with the spectrogram, the user can increase the value of this parameter.

The reduction can be chosen between 1 and 16.

Default value = 1.

- Spectrogram Average scroll bar:

For some analysis, it may be useful to have a representation of the average of the successive FFT buffers. The average can be chosen between 1 and 16.

Default value = 1.

The program systematically limits the values of the reduction and the average to have the product:

FFT buffer size x Reduction x Average

between 0.5 Ko and 64 Ko.

- Spectrogram With Text Button:

To display or not the frequencies values. The spectrogram without text is full window.

By default, the spectrogram is with text.

- Size group:

To choose a normal, minimized or maximized size.

- Normal Size group:

To set the normal positions and sizes of the child windows.

- Graph group:

To choose graphs by histograms, lines or brushes.

 	- Mode group:

To choose the normal, fixed or detailed mode for the display.

A mouse left button click can do the same thing (see Mouse).

- Spectrogram (Color) group:

To choose the colors for the spectrogram display.

- Elements (Color) group:

To choose a color for the following elements:

  	- Background:

Child window background (blue by default).

- Text Zone:

Child window text zone background (black by default, spectrogram only).

- Text Background:

Child window characters background (black by default, spectrogram only).

- Text:

Child window characters (white by default, spectrogram only).

  	- Scale:

Scales drawn in the child window (dark green by default).

  	- Graph:

Graph in normal mode (green by default).

  	- Pause:

Graph in paused mode (dark red by default).

  	- Detail:

Graph in detailed mode (red by default).

 	- Colors group:

To set the color of the selected element in the Elements group.

Next


GENERATORS

If the user begins a file reading or a file writing in append mode, the mixing generator is disabled if it's sampling rate is different from the file sampling rate.

It is recommended to choose sampling rates at least equal to 22 kHz if the mixing generator is used in order to increase the sound quality.

A superior number of FFT points can increase the generation quality.

- White Noise, Pink Noise group:

- Amplitude:

To set the amplitude of the signal between 0 and 32767.

Internally, the WHMIC program works in double precision and in 16 bits.

These values are independent of the number of bits per sample.

Default value = 100.

- Minimum Frequency:

To set the minimum frequency in the generated noise.

Default value = 20 Hz.

- Maximum Frequency:

To set the maximum frequency in the generated noise.

Default value = half of the sampling rate, limited to 24000 Hz.

- Sinusoid, Triangle, Square and Impulsion group:

- Amplitude:

To set the amplitude of the signal between 0 and 32767.

Internally, the WHMIC program works in double precision and in 16 bits.

These values are independent from the number of bits per sample.

Default value = 100.

- Frequency:

To set the frequency of the generated signal.

Default value = 1000 Hz.

- Options group:

- Noise in Frequency Domain:

To generate (quickly) the noise in the frequency domain instead of in the time domain.

This option is active by default.

- Gaussian White Noise:

To generate a gaussian white noise.

- Mute Input:

To cancel the input signal and to have only the generated noise or signal in the output.

- Sampling Rate group:

In case of "Mute Input" option, to set a higher sampling rate (48 kHz or 96 kHz) in order to increase the quality of generations or to choose the program sampling rate (default).

This option doesn't increase the generation frequencies range.

Next


 FILES

It is highly recommended to activate the Windows writing cache.

In case of problem with high sampling rates, the user must enable DMA.

If DMA is in conflict with UDMA (machine configuration), the user must disable UDMA.

The user can also increase the program writing cache is necessary.

If a sound file doesn’t need treatment in gain and in frequency, it is recommended to adjust correctly the gain and frequency options or to disable them in order to avoid distortions.

- Writing File group:

- Writing File:

To get the writing file name.

By default, this name is <TMP>\WRFILE.WHM, where <TMP> indicates the content of the environment variable TMP.

- Circular:

If the file is circular, the writing starts again at the beginning if its maximum size is reached.

- Append Mode:

In Append Mode (default option), new data are appended to existing data, otherwise, the file is erased after confirmation, if it exists.

- Prepare Minimum Size:

If this option is chosen, the program allocates and prepares (puts “silences“) the minimum size fixed by the Minimum Size element.

- Without Silences:

This option allows skipping silences in the writing file.

It should be used with the element “Minimum Writing Time“ described under and the magnitude functions of Settings option. Without treatments, the sound cards have always a background noise.

- 4 Go Option:

This option allows creating up to 4 Go Files.

   Note: Above 2 Go, there are reading problems with most of the other .WAV readers.

- Warning at End of Writing:

To display a message when the writing file is full.

This option is enabled by default.

- Continue at End of Writing:

To continue when the writing file is full.

This option is enabled by default.

- Stop at End of Writing:

To stop the program when the writing file is full.

- Exit at End of Writing:

To exit the program when the writing file is full.

- Minimum Size:

To set the writing file minimum size (between 0 and 2047 Mo).

Default value = 0 Mo.

- Maximum Size:

To set the writing file maximum size (between 1 and 2047 Mo).

Default value = 600 Mo.

- Update Size:

To set the writing file update header size (between 0 and 2047 Mo).

Default value = 10 Mo.

The value 0 suppresses this update.

The program systematically updates the writing file header before closing it.

This option is useful for the big files and in case of electricity cut. The automatically recoverable data depend on this value and the Windows writing cache value.

- Cache Size:

To set the writing file cache size (between 0 and 16384 Ko).

Default value = 256 Ko.

- Minimum Writing Time:

To set the minimum writing time (between 0 and 3600 seconds) after a noise detection.

Default value = 10.

- Reading File group:

- Reading File:

To get the reading file name.

By default, this name is <TMP>\RDFILE.WHM, where <TMP> indicates the content of the environment variable TMP. This file is not provided by the installation program.

- Circular:

If the file is circular, the reading starts again at the beginning if its end is reached.

- Manage Re-reading:

This option allows beginning the reading at the position of the end of the last reading.

The name, size and format of the file must be the same between two consecutive readings, otherwise the reading starts at the beginning of the file.

- Warning at End of Reading:

To display a message when the end of file is reached.

This option is enabled by default.

- Continue at End of Reading:

To continue the program when the end of file is reached.

This option is enabled by default.

- Stop at End of Reading:

To stop the program when the end of file is reached.

- Exit at End of Reading:

To exit the program when the end of file is reached.

- End Warning File Edit Box:

To get the name of the sound (.WAV) file to play at reading or writing end.

- Error Warning File Edit Box:

To get the name of the sound (.WAV) file to play in case of reading or writing error.

- Writing button:

To choose the writing file name with the Record dialog box.

- Reading button:

To choose the reading file name with the Read dialog box.

- End button:

To choose the name of the sound (.WAV) file to play at reading or writing end, with the Read dialog box.

- Error button:

To choose the name of the sound (.WAV) file to play in case of reading or writing error, with the Read dialog box.

- Prepare button:

To prepare the writing file minimum size if this option is chosen. This button is active in configuration mode or when the program is stopped.

Next


PARAMETERS CONFIGURATION

This chapter describes in detail the dialog boxes elements for Parameters configuration.

The validation button is used to validate the changes and the cancel button is used to cancel them.

Next


 DRIVERS PARAMETERS

- Record Driver:

To choose a wave record driver.

By default, the system default driver is chosen.

- Play Driver:

To choose a wave play driver.

By default, the system default driver is chosen.

- DirectSound Record Driver:

To choose a DirectSound record driver.

By default, the system default driver is chosen.

- Play Driver:

To choose a DirectSound play driver.

By default, the system default driver is chosen

- Record Mixer Driver:

To choose a record mixer driver.

By default, the system default driver is chosen.

- Play Mixer Driver:

To choose a play mixer driver.

By default, the system default driver is chosen

- Sampling Rate group:

To set a sampling rate.

Possible values (in kHz) are: 8, 11, 16, 22, 32, 44, 48, 96.

The default value is 22 kHz.

The 96 kHz sampling rate is not possible with direct treatment.

Higher sampling rates increase the recording quality but also increase the memory use and the treatment volumes.

The sound card must support the fixed sampling rate.

- Number of Bits per Sample group:

To set the number of bits per sample.

The possible values are: 8, 16, 20, 24, 24/32 (unpacked 24 bits) and 32 bits.

The default value is 16.

The recording quality increases generally with the number of bits per sample.

The sound card must support the fixed number of bits per sample.

- Number of channels group:

To set the number of channel(s).

The possible values are: 1 (mono), 2 (stereo), 3 to 8 (multichannel).

The default value is 1 (mono).

This program release supports only one channel with treatment.

The sound card must support the fixed number of channel(s).

- Driver Choice group:

- DirectSound Driver:

To select a DirectSound driver instead of a classical wave driver.

By default, this option is active.

- Mixer Driver:

To select a mixer driver and to authorize the program to manage the Windows Mixer.

By default, this option is active.

- Driver Menus:

To display, at the program start, a dialog box in order to choose Wave or DirectSound drivers for the recording and the playing.

By default, this option is not active.

- Mixer Driver Menus:

To display, at the program start, a dialog box in order to choose the mixer drivers for the recording and the playing.

By default, this option is not active.

- Authorized Options group:

- Mixer Volumes:

To authorize the program to manage the Windows Mixer.

By default, this option is active.

- DirectSound in Multichannel:

To authorize the program to choose automatically the DirectSound drivers in multichannel.

By default, this option is active.

- 3D Parameters:

To authorize the 3D positioning.

By default, this option is not active.

- TCP/IP:

To authorize TCP/IP.

By default, this option is active.

- Speakers Configuration group:

To choose the speakers configuration with the DirectSound drivers.

The configuration at the program start is restored at the program exit.

- Default:

The system default configuration is chosen.

This option is active by default.

Other possible values:

- Headphone

- 1 (mono)

- 2 (stereo)

- 4 (4 channels)

- Surround

- 5.1

- 7.1

- Tests button:

To test (in real) the chosen values with the sound card.

- Tests Mute Input button:

To test only the output drivers.

- TCP/IP-DP button:

To display the TCP/IP - DirectPlay dialog box.

- TCP/IP-Web button:

To display the TCP/IP - Web Server dialog box.

Next


TCP/IP PARAMETERS

This chapter concerns the versions of WHMIC including TCP/IP.

- User Name:

To give the program user name for communications and diffusions.

Default = WhMic_User.

- User Password:

To give the program user password for communications and diffusions.

The passwords are case sensitive.

Default = WhMic.

- Participant Name:

To give the DirectPlay participant name of the station.

Default = WhMic_Player_1.

- Participant Password:

To give the DirectPlay participant password of the station.

Default = WhMic.

- Session Name:

To give the DirectPlay session name to create (host) or join (caller).

Default = WhMic_Session.

- Local Address:

To give the IP address of the local station.

Default = localhost.

- Distant Address:

To give the IP address of the distant station.

Default = localhost.

- Anonymous Input URL:

To give the name of the file or the URL to read, using Windows Media or Real Media.

The default stream URL is http://localhost:8000.

- Anonymous Output Port:

To give a port number for the Windows Media anonymous output.

The default port is 8000.

- Open  push button:

To get the name of the file to open when the TCP/IP option is set to Anonymous Input.

- WHM push button:

To modify the WHM Audio Codec parameters.

- Type Group:

- Host or Caller:

The station can be a host (can create a session) or a caller (can join a session).

Default type.

- Host Only:

The station can be a host only.

- Audio Host:

The station can be a host only.

The session is an audio only session.

- Other Host:

The station can be a host only.

The session is a non audio only session.

- Caller Only:

The station can be a caller only.

- Audio Caller:

The station can be an audio only caller.

- Other Caller:

The station can be a non audio only caller.

- Anonymous:

The station can use the anonymous input or the anonymous output (without DirectPlay and the security) for Windows Media streams (input and output) and Real Media streams (input).

- Option Group:

- Without TCP/IP:

The station doesn't use TCP/IP.

Default option.

- Input and Output:

The station sends and receives data.

- Input Only:

The station receives data only.

- Output Only:

The station sends data only.

- Anonymous Input:

The station reads data from an anonymous URL.

- Anonymous Output:

The station writes data to an anonymous URL.

The data can be read by any compatible WMA stream reader.

- Compression Group:

- Without Compression:

The station doesn't use compression / decompression.

- Priority Compression

The station uses the codec which has the highest priority for compression / decompression.

- G.711:

The station uses the CCITT G.711 codec for compression / decompression.

- MS ADPCM:

The station uses the MS ADPCM codec for compression / decompression.

- IMA ADPCM:

The station uses the IMA ADPCM codec for compression / decompression.

- Lernout and Hauspie:

The station uses the Lernout and Hauspie codec for compression / decompression.

This codec uses only the format: 8 kHz, 16 bits per sample and mono.

Voice specialized codec.

- DSP Group TrueSpeech:

The station uses the DSP Group TrueSpeech codec for compression / decompression.

This codec uses only the format: 8 kHz, 16 bits per sample and mono.

Voice specialized codec.

- GSM 6.10:

The station uses the GSM 6.10 codec for compression / decompression.

Voice specialized codec.

- MPEG Layer-3:

The station uses the MPEG Layer-3 (MP3) codec for compression / decompression.

Non complete version of the Fraunhofer IIS MPEG Layer-3 codec, in standard with Windows.

- MPEG Layer-3 (Professional):

The station uses the MPEG Layer-3 (MP3) codec for compression / decompression.

Complete version of the Fraunhofer IIS MPEG Layer-3 codec.

- WHM Audio Codec (Voice):

The station uses WHM Audio Codec for compression / decompression.

The parameters are optimized for the voice at 22 kHz.

Default codec for the bi-directional communications.

See notes below.

- WHM Audio Codec (Music 1):

The station uses WHM Audio Codec for compression / decompression.

The parameters are optimized for the music at 22 kHz.

Default codec for the non anonymous diffusions.

See notes below.

- WHM Audio Codec (Music 2):

The station uses WHM Audio Codec for compression / decompression.

The parameters are optimized for the music at 44 kHz.

See notes below.

- Windows Media Audio:

The station uses the Windows Media Audio (WMA) codec for compression / decompression.

This codec must be installed and the files WMVCORE.DLL and WMASF.DLL must be accessible.

The service pack 6 is necessary if Windows NT 4 is used.

This codec can't be used for bi-directional  communications.

- Windows Media Audio (Professional):

The station uses the Windows Media Audio (Professional) codec for compression / decompression.

This codec is available with the series 9.

The format must be at least stereo (2 channels) and 44 kHz.

This codec takes into account 24 bits and 96 kHz formats.

This codec can't be used for bi-directional communications.

- Participants Maximum Number:

To set the maximum number of participants between 0 and 10000.

Default = 0 (no theoretical limit).

- Session Search Time:

To set the session search time when creating or joining a session between 0 and 60 seconds.

Default = 0 (system default).

- Host Reply Time:

To set the maximum host reply time for a caller, after joining a session and before starting, between 1 and 60 seconds.

Default = 10 seconds.

- Host Pause Time:

To set the host pause time before a format change, between 0 and 30 seconds.

This time allows the other stations to flush the reception buffer.

Default = 2 seconds.

- Receiving Cache Size:

To set the cache size for the reception, between 0 and 16384 Ko.

Default = 256 Ko.

- Effect Meter:

To set the shift between the input and output pointers in the reception buffer.

This meter is not used for bi-directional communications.

Possible values: from 0 to 1024.

Default: 16.

- Resynchronization:

To avoid the program frequent exits by allowing resynchronizations in reception.

Possible values: from 0 (no resynchronization) to 1200 (1200 maximum resynchronizations per minute).

See the next paragraph.

Default: 300 (300 maximum resynchronizations per minute).

- Buffering Time:

To set the buffering time for the Windows Media or Real Media streams in input, between 0 and 60 seconds.

Default = 0 second.

The actual minimum value depends on the network interface.

- Security Group:

- Security Type Sub-Group:

- Nothing:

To disable the security.

Default Option.

- XOR:

To choose a minimal security.

The program performs a simple XOR between data and random numbers.

- Base Cryptography:

To choose the Microsoft cryptography base provider.

- Enhanced Cryptography:

To choose the Microsoft cryptography enhanced provider.

- Join a Secure Session:

When the program is a caller, to accept only secure sessions if the option is checked.

- Cryptography Algorithm Sub-Group:

- RC2:

Symmetric block cipher algorithm.

40 bits with base cryptography, 128 bits with enhanced cryptography.

- RC4:

Symmetric stream cipher algorithm.

40 bits with base cryptography, 128 bits with enhanced cryptography.

Default option.

- DES:

Symmetric block cipher algorithm.

56 bits, not available with base cryptography.

- 3DES_112:

Symmetric block cipher algorithm.

112 bits, not available with base cryptography.

- 3DES:

Symmetric block cipher algorithm.

168 bits, not available with base cryptography.

- XOR Seed:

To give the seed of the random numbers to generate if the XOR security is chosen.

Default = 65537.

- Cryptography Password:

To give the password allowing to generate the cryptography key.

Default = WhMic_Crypt_Password.

Notes:

-  All mandatory conditions listed below are automatically checked by the program.

- The group password is checked by the host.

- The participants names must be unique in the session.

- The stations must have the same following parameters values:

- User Name

- User Password

- Session Name.

- XOR Seed (if the security is enabled).

- Cryptography Password (if the security is enabled).

The name and the password are unique in this version.

- When connected with a TCP/IP network, the IPCONFIG command can be used to find the local station IP address.

- The host can have "localhost" as distant address.

- The host and the callers can have "localhost" as local address.

- It is highly recommended to have a fixed IP address for the host.

- When there is a firewall, the DirectX version must be 6.0 or later and the network administrator must open the following ports :

- Initial inbound/outbound TCP connection : 47624.

- Subsequent inbound/outbound TCP connection : 2300-2400.

- Subsequent inbound/outbound UDP connection : 2300-2400.

- If there are more than two stations, to avoid sessions crossing and other problems, the group can configure a station as host only  and configure the other stations as caller only.

- It is recommended to use a high speed modem (ADSL or cable) or the local area network for the audio communications.

- A 56K modem may be sufficient for sending messages and for the anonymous reception.

Notes about the audio communication:

- There is one only bi-directional audio communication in the session.

- The stations of the group must have the same program functioning mode (normal, indirect or less treatment) and the same driver type (Wave or DirectSound).

- The host must be sender only or sender and receiver.

- The program running format and the compression type are set by the host.

- The host can change the format is there is no other sender participant. A receiver program format is automatically updated (useful for the simple diffusion).

-  If the sender program is stopped, the receiver program is stopped.

- No intermediate conversion is done by the program before compression or after decompression.

- It is recommended to have the same version of the used codec on all the stations of the group.

- If the priority compression option is chosen, the priority codec on the host station is used by all the other stations. The program doesn't warrant the proper functioning of all codecs.

- If a file of different format is chosen as a end of reading / writing warning sound file, the program must have the right to change format (sender only) and the chosen codec must support the format.

- The transmission is done before treatment. The receiver can do all treatments and mixing (mixing generators) needed.

- With a high speed modem or within a local area network, the without compression option can be chosen in order to avoid all the distortions caused by the compression.

- Recommended uses in audio:

Host	====== >	Caller

< ======

- Bi-directional communication between a host and a caller.

Host	===== >	Caller 1

===== >	Caller 2

===== >	Caller N

- Diffusion from a host to many callers.

Notes about WHM Audio Codec:

The WHM Audio Codec is a new and high performance audio codec for both the voice and the music.

In the parameters modification dialog box, the FFT buffer size, the minimum compression ratio and the maximum kilo bits per second (Kbps) are displayed only for information.

The user can change the following parameters:

- The maximum number of points per FFT buffer in the foreground.

- The maximum number of bands per FFT buffer in the background.

- The number of bits per point in the foreground.

- The number of bits per point in the background.

- The type of compression in bands.

- The different options.

The default values for the voice and the music are the recommended values.

The increase in the maximum number of points or bands per FFT buffer and the number of bits per point generally lead to an increase in the quality but the compression ratio decreases.

Notes about the anonymous URL:

- The user can read local and distant files (MP3, Windows Media and Real Media).

- The video streams are not taken into account.

- The internet radios compatible with Windows Media and Real Media are supported.

- The user names and passwords given with the anonymous type are used to access to protected URLs (Real media in this version).

-  The output can be 3D if the user has a 3D sound card and configures this option.

- The user can increase the Buffering Time,  the Receiving Cache Size and chiefly the Effect Meter to avoid the program resynchronizations.

- The file and generator options must be configured before the program start.

- When receiving a high bit rate audio in mono with treatments, the user can disable the frequencies filtering or increase the program default frequencies range (and the default sampling rate if necessary) to avoid distortions.

Notes about the security:

- There are four levels for the security with WHMIC:

- User name and password: checked by the host.

- DirectPlay password: checked by DirectPlay.

It is impossible for a caller to find or join a session with an incorrect password. To disable the DirectPlay password, the user must leave the password field blank.

- Control data: all control data are secured with the required level of security.

- Data: all communication data (audio and other) are secured with the required level of security.

WMA data are not secured with this version.

- When a caller is about to join a secure session, the host first sends a non secure message to query some parameters values and to give the security algorithm to use. The caller (with the security) reply is secured. The host final reply is secured if positive and non secured if not. All other program messages are secured. Note that the callers without the security (old versions of the program) are rejected.

- The codecs with high compression ratio are recommended to minimize the CPU consumption.

- To use the enhanced cryptography, the Windows version must include the enhanced cryptography provider (this is generally the case). Furthermore,  the user must have a registered version.

Real time frequency domain display (input) and spectrogram display (output) of a distant station incoming voice (via Internet or Intranet).

Next


WEB SERVER PARAMETERS

This chapter concerns the versions of WHMIC including TCP/IP.

- User Name:

To give the program user name for the connections to the Web Server.

- User Password:

To give the program user password for the connections to the Web Server.

The passwords are case sensitive.

- Domain Name:

To give the domain name for the connections to the Web Server.

In this version, the domain name is given by the product key.

If the product key is for a domain, the Web Server verifies the user name and the password, and holds the machine IP address.

The Web Server gives the IP address (and a stamp) to a caller if the address of the distant correspondent is in the form :

http://username.domainname

for example :

http://username.whmsoft.com

The above parameters are not used for a server or a caller if the product key is not for a domain.

Next


PROGRAM PARAMETERS

- Authorized Options group:

To suppress the user non-useful options in order to save resources and to increase the performances.

By default, all options are authorized.

- Frequencies:

To authorize the frequencies filtering.

- Gain:

To authorize the amplification or the reduction of levels.

- Magnitudes:

To authorize the magnitude treatments.

- Equalization:

To authorize the equalization.

- Displays:

To authorize the graphical displays.

- Generators:

To authorize the mixing generators.

- Files:

To authorize the files readings and writings.

- Main Window:

To authorize the main window display.

This option cannot be changed.

- Secondary Windows:

To authorize the secondary windows display.

- Language group:

To display the program running language (monolingual package) or to choose the program running language (multilingual package).

- Length Units group:

To choose a length unit (Foot or Meter).

The default length unit depends on the running language.

For example:

Foot for the English language.

Meter for the French language.

The length unit is used for the 3D positioning.

- Number of Points per FFT group:

To choose the number of points per FFT (Fast Fourier Transform) during treatments. Possible values are: 128, 256, 512, 1024, 2048 and 4096.

This number is also used as unity for the internal buffers.

The default value is 512.

- Fonts group:

To choose the fonts (normal fonts or small fonts) and the style (normal style or bold style) for the displays of dialog boxes and secondary windows characters.

By default, the program uses normal fonts and bold style.

- Configuration group:

- Automatic Saving:

To activate the configuration automatic saving at the program exit.

The effect of this parameter is immediate.

By default, the automatic saving is active.

- Secure File:

To secure all created and updated configuration files with the program security parameters.

The effect of this parameter is immediate.

By default, the configuration files are not secured.

- Functioning Frequency:

To set the program functioning frequencies.

- Internal:

To choose the internal events number per second between 12 and 24.

The internal events number is a technical parameter that tunes the sound card driver.

To increase or decrease the shift between the input and the output, the user can decrease or increase this parameter value.

Default value = 16.

- External:

To choose the external events number per second between 0.5 and 2.

The external events number tunes the displays and file accesses frequencies.

Default value = 1.

- Displays Capacities:

To set the total number of points to take into account for the graphical displays, in input and in output.

The displays capacities vary between 0 (no display) and a value which depends on the functioning frequency. The default value is 1 (for the default functioning frequency).

Maximum values: 60 (functioning frequency 0.5), 30 (functioning frequency 1), 20 (functioning frequency 1.5) and 15 (functioning frequency 2).

The displays capacities roughly correspond to the number of seconds to display with mono and 48 kHz samples. With mono and 22 kHz samples, these values are two times higher.

For the spectrogram, it represents the minimum guaranteed display capacity (if the window size is large enough).

Pay attention: the memory use increases with these values.

- Meters:

- Effect:

To add a shift between the input buffer and the output buffer.

In case of the program frequent exits or frequent resynchronizations, the user must increase this parameter value.

In case of recording without echo problem (mute output or distant output), the user can greatly increase this parameter value.

Possible values: from 0 to 16.

Default value: 2.

- Resynchronization:

Sudden perturbations caused by the other programs, by the changes of active windows or by "full screen" windows can force the program to exit (the output buffer joins the input buffer). This counter allows avoiding this exits by allowing resynchronizations.

Possible values: from 0 (no resynchronization) to 1200 (1200 maximum resynchronizations per minute).

Default value: 300 (300 maximum resynchronizations per minute).

This counter shouldn’t be used to mask high sampling rates (96 kHz for example) or overloads problems, in order to avoid the alterations of the outputs and the recordings.

- Effect 2:

This effect meter has an influence on the latencies of the sound card drivers. In case of frequent resynchronizations not suppressed by the previous effect meter, the user can increase the value of this meter.

Possible values: from 0 to 16.

Default value: 1.

Next


 SECURITY PARAMETERS

- The "Security Parameters" dialog box allows giving, in Configuration Mode,  the parameters for the secure objects (configuration files with WHMIC 5.1).

- If a configuration file is created or updated, the program uses these parameters.

- If a configuration file is read, the program uses the password entered with the command line ("/password" option) and the security type and algorithm stored in the non encrypted file header.

- To use the enhanced cryptography, the Windows version must include the enhanced cryptography provider (this is generally the case). Furthermore,  when the program is not in the configuration mode, the user must have a registered version.

- Type Group:

- Base Cryptography:

To choose the Microsoft cryptography base provider.

Default Option.

- Enhanced Cryptography:

To choose the Microsoft cryptography enhanced provider.

- Algorithm Group:

- RC2:

Symmetric block cipher algorithm.

40 bits with base cryptography, 128 bits with enhanced cryptography.

- RC4:

Symmetric stream cipher algorithm.

40 bits with base cryptography, 128 bits with enhanced cryptography.

Default option.

- DES:

Symmetric block cipher algorithm.

56 bits, not available with base cryptography.

- 3DES_112:

Symmetric block cipher algorithm.

112 bits, not available with base cryptography.

- 3DES:

Symmetric block cipher algorithm.

168 bits, not available with base cryptography.

- Password Group:

To give the password allowing to generate the cryptography key.

The passwords are case sensitive.

Default = WhMic.

Next


 	LICENSE CONTRACT

Next


PRODUCT LICENSE CONTRACT

WHMIC - COPYRIGHT (C) 2006 WHMSOFT

NOTE TO USERS.

Read carefully the terms of the following license contract and its conditions before using this software. Don’t install or don’t use this software if you don’t agree this license contract terms. Using this software imply that you accept the present contract.

WHMIC is a shareware. It is not free. The evaluation period is limited to 21 days.

During the evaluation period, the configuration files must be reinitialized at least once a week. Furthermore, maximum communication time with TCP/IP is limited to 30 minutes by a program exit.

1. LICENSE GRANT.

WHMSOFT grants you, by this present contract, a license to use WHMIC by one person on one computer at the same time.

"You" means the company, entity or individual whose funds are used to pay the license fee.

"Use" means storing, loading, installing, executing or displaying the product.

You may not modify a program functionality or its documentation.

When you obtain the product for the first time, you are granted an evaluation period of 21 days. After this period, you must pay for the software according to the terms and prices discussed in the product documentation or you must remove the software from your system.

This license is not transferable to any other system, or to another organization or individual.

You are expected to use the product on your system and to thoroughly evaluate its usefulness and functionality before making a purchase.  This "try before you buy" approach is the ultimate guarantee that WHMIC will perform to your satisfaction. Therefore, you understand and agree that there is no refund policy for any purchase of the product.

2. OWNERSHIP.

WHMIC is owned by WHMSOFT.

Your license confers no title or ownership in the software and should not be construed as a sale of any right in the product.

You agree that you will not reproduce the software or its documentation except for making saving copies.

You are not allowed to transfer the rights and obligations of the present contract.

3. COPYRIGHT.

WHMIC is protected by international copyright laws.

The software and its documentation constitute original works protected by laws on literary and artistic ownership.

You agree that you will not attempt to reverse compile, modify, translate, or disassemble the software in whole or in part.

4. EVALUATION VERSION DISTRIBUTION.

On condition that you have an evaluation version, you are allowed to make copies of the software and its documentation and to freely distribute exact copies of the version. On the other hand, you are not allowed to sell these copies.

5. WARRANTY.

WHMSOFT DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE.

SUBJECT TO LEGAL WARRANTY, WHMSOFT DISCLAIMS ALL RESPONSIBILITY FOR THE USE OF THE PRODUCT IN PARTICULAR ANY DIRECT AND INDIRECT DAMAGE THAT COULD RESULT OF THIS USE.

Next


 	ANNEXES

Next


 PRODUCT REGISTRATION

For the registration and to obtain a definitive product key, read the Readme associated with the evaluation version.

Next


REGISTERED TRADEMARKS

The marks cited in this document are the trademarks of their respective owners, in particular:

- Windows 95, 98 and ME

- Windows NT

- Windows 2000

- Windows XP

are registered trademarks of Microsoft Corporation.

- Pentium II

- Pentium III

- Intel Signal Processing Library

are registered trademarks of Intel Corporation.

- Sound Blaster Live! 1024

is a registered trademark of Creative Technology Ltd.

- Fraunhofer IIS MPEG Layer-3

is a registered trademark of Fraunhofer-Gesellschaft IIS.

- Windows Media Audio

- Windows Media Video

are registered trademarks of Microsoft Corporation.

- RealAudio

- RealVideo

are registered trademarks of RealNetworks, Inc.

Next